<template>
  <v-row no-gutters justify="space-between">
    <v-col
      cols="5"
      align="start"
    >
      <v-btn
        color="primary"
        class="mr-10"
        block
        outlined
        :disabled="disableCancel"
        @click="handleCancel"
      >
        {{ cancelText }}
      </v-btn>
    </v-col>
    <v-col
      cols="5"
      align="end"
    >
      <v-btn
        color="primary"
        block
        :loading="registerLoading"
        :disabled="disableRegister"
        @click="handleRegister"
      >
        {{ registerText }}
      </v-btn>
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: 'OptionBtns',
  props: {
    cancelText: {
      type: String,
      default: 'Cancelar',
    },
    registerText: {
      type: String,
      default: 'Registrar',
    },
    disableCancel: {
      type: Boolean,
      default: false,
    },
    disableRegister: {
      type: Boolean,
      default: false,
    },
    registerLoading: {
      type: Boolean,
      default: false,
    },
  },
  emits: ['register', 'cancel'],
  methods: {
    handleRegister() {
      this.$emit('register');
    },
    handleCancel() {
      this.$emit('cancel');
    },
  },
};
</script>
